<?php
namespace Concrete\Package\Rmcalendly\Block\Rmcalendly;
defined('C5_EXECUTE') or die('Access Denied.');
use Concrete\Core\Asset\AssetList;
//
use Concrete\Core\Asset\Asset;
use Concrete\Core\Package\Package;
//
use Concrete\Core\Block\BlockController;
use Concrete\Core\Config\Repository\Liaison;
use Concrete\Core\Localization\Localization;
use Concrete\Core\Package\PackageService;
class Controller extends BlockController
{
    protected $btTable = 'btRmcalendly';
    protected $btCacheBlockOutput = true;
    protected $btCacheBlockOutputOnPost = true;
	protected $btDefaultSet = 'Calendar';
    protected $btInterfaceWidth = '600';
    protected $btInterfaceHeight = '480';
 	// Block Record
	  protected $rmcalendlylabel;
    /** @var string */
    protected $rmcalendlylocation;
    /** @var string */
	    protected $rmcalendlycss;
    /** @var string */
  protected $marker_color;
    /** @var string */
        /**
     * Returns the name of the block type.
     *
     * @return string $btName
     */
    public function getBlockTypeName()
    {
        return t('RM Calendly');
    }
  /**
     * Returns the description of the block type.
     *
     * @return string
     */
    public function getBlockTypeDescription()
    {
        return t('Embed RM Calendly block.');
    }
  public function add()
    {
        $this->edit();
    }
 public function edit()
    {
        $this->set('color', $this->app->make('helper/form/color'));
    }
//extra	
//register plugin assets	
	   public function on_start()
    {
        $assetList = AssetList::getInstance();
        $assetList->register(
            'javascript',
            'calendly/calendly-script',
            'https://calendly.com/assets/external/widget.js',
            [
                'local' => false,
                'combine' => false,
                'minify' => false,
            ]
        );
		   $assetList->register(
            'css',
            'rmcalendly/rmcalendly-buttons',
            'blocks/rmcalendly/assets/buttons.css',
            [
                'local' => true,
                'combine' => false,
                'minify' => false,
            ],
            'rmcalendly'
        );
        $assetList->register(
           'css',
           'calendly/calendly-css',
           'https://calendly.com/assets/external/widget.css',
           [
                'local' => false,
                'combine' => false,
                'minify' => false,
           ]
        );
    }
	//ends plugin assets from calendly
	//now required asset list call
	public function registerViewAssets($outputContent = '') 
    {
$this->requireAsset('javascript', 'jquery');
$this->requireAsset('css', 'font-awesome');
$this->requireAsset('javascript', 'calendly/calendly-script');
$this->requireAsset('css', 'calendly/calendly-css');		
    }
//ends assetlist call
	}