<?php defined('C5_EXECUTE') or die('Access Denied.');
/**
 * @var string $lang
 * @var string $rmcalendlylabel
 * @var string $rmcalendlylocation
 * @var string $rmcalendlycss
 * @var string $rmcalendlycolor
 * @var string $marker_color
 * @var string $rmcalendlystyle
 * @var string $rmcalendlysize
 */
$c = \Concrete\Core\Page\Page::getCurrentPage();
if ($c->isEditMode()) {
    $loc = \Concrete\Core\Localization\Localization::getInstance();
    ?>
    <div class="rmblock-container ccm-edit-mode-disabled-item">
<button class="rmcalendlybtn btn <?= h($rmcalendlystyle . ' ' . $rmcalendlysize) ?>" <?php
    $all_styles = '';
    if (!empty($marker_color)) {
        $all_styles .= "color:$marker_color;";
    }
    if (!empty($rmcalendlycss)) {
        $all_styles .= "border:none; background-color:$rmcalendlycss;";
    }
 
    if (!empty($all_styles)) {
        echo ' style="' . $all_styles . '"';
    }
    if (!$c->isEditMode()) {
        echo ' onclick="Calendly.showPopupWidget(\'https://calendly.com/' . h($rmcalendlylocation) . '\');return false;"';
    }
    ?>>
    <?= h($rmcalendlylabel) ?>&nbsp;<i class="fa fa-arrow-right" aria-hidden="true"></i>
</button>
    </div>
    <?php
} else {?>
<button class="rmcalendlybtn btn <?= h($rmcalendlystyle . ' ' . $rmcalendlysize) ?>" <?php
    $all_styles = '';
    if (!empty($marker_color)) {
        $all_styles .= "color:$marker_color;";
    }
    if (!empty($rmcalendlycss)) {
        $all_styles .= "border:none; background-color:$rmcalendlycss;";
    }
 
    if (!empty($all_styles)) {
        echo ' style="' . $all_styles . '"';
    }
    if (!$c->isEditMode()) {
        echo ' onclick="Calendly.showPopupWidget(\'https://calendly.com/' . h($rmcalendlylocation) . '\');return false;"';
    }
    ?>>
    <?= h($rmcalendlylabel) ?>&nbsp;<i class="fa fa-arrow-right" aria-hidden="true"></i>
</button>
 <?php
}